package client;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.util.Scanner;

public class Client {
    private Socket socket;
    public Client() throws IOException {
        socket = new Socket("localhost", 9876);
    }

    public void iniciar() throws IOException {
        Scanner teclado = new Scanner(System.in); //System.in para establecer el teclado como entrada para que scanner sepa de donde leer.
        System.out.println("Iniciando el cliente");
        DataInputStream entrada = new DataInputStream(socket.getInputStream()); //Para comunicarse con el servidor, establecer la comunicación.
        DataOutputStream salida = new DataOutputStream(socket.getOutputStream()); //Salida de uno con la entrada de otro y viceversa.
        System.out.println(entrada.readUTF()); //Si en un lado hacemos readUTF, en el otro lado debemos hacer un write UTF
        String nombre = teclado.nextLine();
        salida.writeUTF(nombre);
        System.out.println(entrada.readUTF()); //Para leer lo que nos ha enviado el servidor.
        int num = teclado.nextInt(); //Va a guardar el número de tareas que tenemos que realizar.
        teclado.nextLine(); //Limpiador de basura para el salto de linea.
        salida.writeInt(num);
        for (int i = 0; i < num; i++ ) {
            System.out.println(entrada.readUTF()); //Lee una linea y muestra la siguiente, vuelve a leer la siguiente y vuelve a mostrar.
            System.out.println(entrada.readUTF());
            salida.writeUTF(teclado.nextLine());
            System.out.println(entrada.readUTF());
            salida.writeUTF(teclado.nextLine());
        }
    }
}
